低危 Mutt和NeoMutt注入漏洞

CVE编号

CVE-2020-14954

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-06-22
漏洞描述
Mutt是Michael Elkins软件开发者的一款用于类Unix系统下且基于文本的邮件客户端。NeoMutt是一款命令行邮件阅读器。 Mutt 1.14.4之前版本和NeoMutt 2020-06-19之前版本中存在注入漏洞。该漏洞源于用户输入构造命令、数据结构或记录的操作过程中,网络系统或产品缺乏对用户输入数据的正确验证,未过滤或未正确过滤掉其中的特殊元素,导致系统或产品产生解析或解释方式错误。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
http://lists.mutt.org/pipermail/mutt-announce/Week-of-Mon-20200615/000023.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 mutt mutt * Up to
(excluding)
1.14.4
运行在以下环境
应用 neomutt neomutt * Up to
(excluding)
20200619
运行在以下环境
系统 debian_10 mutt * Up to
(excluding)
1.10.1-2.1+deb10u2
运行在以下环境
系统 debian_8 mutt * Up to
(excluding)
1.5.23-3+deb8u1
运行在以下环境
系统 debian_9 mutt * Up to
(excluding)
1.7.2-1+deb9u3
运行在以下环境
系统 fedora_31 mutt * Up to
(excluding)
1.14.5-1.fc31
运行在以下环境
系统 fedora_32 mutt * Up to
(excluding)
1.14.5-1.fc32
运行在以下环境
系统 opensuse_Leap_15.1 mutt * Up to
(excluding)
1.10.1-lp151.2.3.1
运行在以下环境
系统 opensuse_Leap_15.2 mutt * Up to
(excluding)
1.10.1-lp152.3.3.1
运行在以下环境
系统 suse_12_SP4 mutt * Up to
(excluding)
1.10.1-55.11.1
运行在以下环境
系统 suse_12_SP5 mutt * Up to
(excluding)
1.10.1-55.11.1
运行在以下环境
系统 ubuntu_16.04 mutt * Up to
(excluding)
1.5.24-1ubuntu0.4
运行在以下环境
系统 ubuntu_16.04.7_lts mutt * Up to
(excluding)
1.5.24-1ubuntu0.4
运行在以下环境
系统 ubuntu_18.04 mutt * Up to
(excluding)
1.9.4-3ubuntu0.3
运行在以下环境
系统 ubuntu_18.04.5_lts mutt * Up to
(excluding)
1.9.4-3ubuntu0.3
运行在以下环境
系统 ubuntu_20.04 mutt * Up to
(excluding)
1.13.2-1ubuntu0.2
运行在以下环境
系统 unionos_20 mutt * Up to
(excluding)
1.10.1-2.1+deb10u2
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-74 输出中的特殊元素转义处理不恰当(注入)
阿里云安全产品覆盖情况